.section-product-blocks {

	width: 100%;

	.section-product-blocks__intro {

		margin: 0 0 20px 0;

		.block-title {

			margin: 0;

		}

	}

	.blocks {

		display: flex;
		flex-wrap: wrap;
		margin: 0 -15px;

		@media screen and (max-width: 990px) {
			margin: 0;
		}

		.block {

			width: 25%;
			display: flex;

			.card-product {
				margin: 0 15px;
			}

		}

		&:not(.block--carousel) {

			@media screen and (max-width: 990px) {
				margin: 0 -40px;
				flex-wrap: nowrap;
				overflow: auto;
				padding: 6px 40px;
				scrollbar-width: none;
				-ms-overflow-style: none;

				&::-webkit-scrollbar {
  					display: none;
  				}
			}

			@media screen and (max-width: 768px) {
				margin: 0 -20px;
				padding: 6px 20px;
			}

			.block {

				.card-product {
					margin: 0 15px 30px;
				}

				@media screen and (max-width: 990px) {

					width: 240px;
					min-width: 240px;

					.card-product {
						margin: 0 10px 0 0;
					}

				}
			}
		}

		&.block--carousel  {

			@media screen and (max-width: 990px) {
				margin: 0 -40px;
				flex-wrap: nowrap;
				overflow: auto;
				padding: 6px 40px;
				scrollbar-width: none;
				-ms-overflow-style: none;

				&::-webkit-scrollbar {
  					display: none;
  				}
			}

			@media screen and (max-width: 768px) {
				margin: 0 -20px;
				padding: 6px 20px;
			}

			.slick-track {
				padding: 6px 0;
				display: flex;
				align-items: stretch;
				margin: 0;
				.block {
					height: inherit;
				}
			}

			.slick-list {
				width: 100%;
			}

			.slick-arrow {

				position: absolute;
				top: -60px;
				right: 0;

				&.slick-prev {

					right: 50px;

				}

			}

			.block {

				@media screen and (max-width: 990px) {

					width: 240px;
					min-width: 240px;

					.card-product {
						margin: 0 10px 0 0;
					}

				}

			}

		}

	}

}